org.apache.ignite.internal.pagemem.wal.record

## Class DataRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.DataRecord

    public class DataRecord
    extends WALRecord

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`DataRecord(DataEntry writeEntry)`
`DataRecord(List<DataEntry> writeEntries)`

### Method Summary

Methods
`String` `toString()`
`WALRecord.RecordType` `type()`
`List<DataEntry>` `writeEntries()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataRecord

    public DataRecord(DataEntry writeEntry)

Parameters:
  `writeEntry` - Write entry.

#### DataRecord

    public DataRecord(List<DataEntry> writeEntries)

Parameters:
  `writeEntries` - Write entries.

### Method Detail

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### writeEntries

    public List<DataEntry> writeEntries()

Returns:
  Collection of write entries.

#### toString

    public String toString()

Overrides:
  `toString` in class `WALRecord`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017